View Issue Details

IDProjectCategoryView StatusLast Update
0003957unrealircdpublic2010-09-19 16:37
ReporterchotaireAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Platformx86OSLinuxOS Version2.6.34
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003957: Remote server disconnects do not get broadcasted via notice
DescriptionRemote connects get noticed perfectly fine. However, remote disconnects do no longer get noticed (it worked in Unreal 3.1.*) unless the oper is on the server that the target server disconnected from.
Steps To ReproduceConnect to server A, oper up as network admin. Receive a snomask of +kcfFjveGnNqSso (all flags). Connect server C to server B on your network. Now oper up on server C and issue /die <password>. Oper on Server A will not receive any disconnect notice and will only realize if checking /links or /map. The same applies if just rebooting the machine for server C. The only occasion it is noticed when someone remotely SQUITs.
TagsSecure Links, SSL
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

chotaire

2010-09-07 19:06

reporter   ~0016334

Connect to server A, oper up as network admin. Receive a snomask of +kcfFjveGnNqSso (all flags). Connect server C to server B on your network. Now oper up on server C and issue /die <password>. Oper on Server A will not receive any disconnect notice and will only realize if checking /links or /map. The same applies if just rebooting the machine for server C. The only occasion it is noticed when someone remotely SQUITs.

chotaire

2010-09-07 20:09

reporter   ~0016335

From what I see in source, this problem exists if the servers link via SSL links. Oper on Server B will receive a disconnect notice if SNO_JUNK is set, oper on server A will definitely not.

Code can be found in ssl.c starting at line 684. While exiting clients properly get forwarded to people with snomask +F, exiting servers do not. Wanna fix?

chotaire

2010-09-07 21:06

reporter   ~0016336

I just tested this thoroughly, it works fine with unencrypted links. It does not work with SSL links at any time. Happy fixing ;)

chotaire

2010-09-07 21:28

reporter   ~0016337

Missing global notice:
*** Global -- from x.y.z: Server u.v.w closed the connection.

syzop

2010-09-08 12:39

administrator   ~0016338

There was -something- fixed related to this, I thought post-3.2.8.1.

If the issue still exists in CVS, then it should be fixed before 3.2.9 release.

chotaire

2010-09-08 16:45

reporter   ~0016344

I just verified and tested that the issue still exists in latest CVS.

syzop

2010-09-19 16:37

administrator   ~0016366

Fixed in CVS .882:
- Fixed notices to opers about server delinks not being broadcasted to all
  other servers if they were on SSL links. Reported by chotaire (0003957).

Thanks for the hint on the spot, the error was indeed located there :)

Issue History

Date Modified Username Field Change
2010-09-07 19:05 chotaire New Issue
2010-09-07 19:06 chotaire Note Added: 0016334
2010-09-07 20:09 chotaire Note Added: 0016335
2010-09-07 20:15 chotaire Tag Attached: SSL
2010-09-07 21:06 chotaire Note Added: 0016336
2010-09-07 21:28 chotaire Note Added: 0016337
2010-09-07 21:29 chotaire Tag Attached: Secure Links
2010-09-08 12:39 syzop Note Added: 0016338
2010-09-08 16:45 chotaire Note Added: 0016344
2010-09-08 17:08 syzop Relationship added child of 0003776
2010-09-19 15:26 syzop Status new => assigned
2010-09-19 15:26 syzop Assigned To => syzop
2010-09-19 16:37 syzop QA => Not touched yet by developer
2010-09-19 16:37 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-09-19 16:37 syzop Note Added: 0016366
2010-09-19 16:37 syzop Status assigned => resolved
2010-09-19 16:37 syzop Fixed in Version => 3.2.9-RC1
2010-09-19 16:37 syzop Resolution open => fixed